# keeping it here just in case someone wants to use the SVN version
# svn co http://svn.openchrome.org/svn/trunk openchrome

# (anssi) The unversioned symlink of XvMC library must be present in
# %%{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%global __requires_exclude devel\\(

Name: x11-driver-video-openchrome
Version: 0.3.3
Release: %mkrel 12
Summary: X.org driver for Unichrome cards from the OpenChrome project
Group: System/X11
URL: http://www.openchrome.org
#Source0: http://www.openchrome.org/releases/xf86-video-openchrome-%{version}.tar.bz2
Source0: http://xorg.freedesktop.org/archive/individual/driver/xf86-video-openchrome-%{version}.tar.bz2

# Patches from upstream trunk :

# Experimental patches (branch backport, etc...): 
Patch13:        openchrome-0.2.904-fix_tvout_flickering.patch
# Patch20:        openchrome-0.2.904-I420_Xv_surface_for_CME.patch

# Mageia patches
# http://billionmonkeys.net/openchrome - broken 2008/07
Patch100: xf86-video-openchrome-0.2.901-billionmokeys.net_modelines.patch
# Patch101: 0003-IDs-enable-LCD-on-Guillemot-NA01.patch
Patch102: openchrome_mips_xvmc.patch
Patch103: xf86-video-openchrome-0.3.3-glibc-2.20.patch

License: MIT
BuildRequires: GL-devel
BuildRequires: libdrm-devel
BuildRequires: libx11-devel
BuildRequires: libxvmc-devel
BuildRequires: libxext-devel
BuildRequires: pkgconfig(libudev)
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
A free and Open Source video driver for the VIA/S3G
UniChrome and UniChrome Pro graphics chipsets. (CLE266,
KN400, KM400, K8M800, PM800, CN400, VN800)

%prep
%setup -q -n xf86-video-openchrome-%{version}
%patch13 -p0
# %%patch20 -p1

%patch100 -p1 -b .billionmonkeys
# %%patch101 -p1 -b .na01
%patch102 -p1 -b .xvmc
%patch103 -p1 -b .glibc-2.20

#needed by patch0
libtoolize
autoreconf -fi

%build
%configure2_5x --disable-static --enable-dri
%make

%install
%makeinstall_std
# From Fedora:
# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%files
%{_libdir}/libchromeXvMC.so
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.so
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%{_libdir}/xorg/modules/drivers/openchrome_drv.so
%{_mandir}/man4/openchrome.*


%changelog
* Thu Oct 16 2014 luigiwalser <luigiwalser> 0.3.3-12.mga5
+ Revision: 766682
- add patch to fix build with glibc 2.20

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Mon Jun 09 2014 tv <tv> 0.3.3-10.mga5
+ Revision: 634972
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.3.3-9.mga5
+ Revision: 633650
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.3.3-8.mga5
+ Revision: 614320
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.3.3-7.mga5
+ Revision: 582240
- rebuild for new xserver

* Fri Dec 06 2013 tmb <tmb> 0.3.3-6.mga4
+ Revision: 555607
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 0.3.3-5.mga4
+ Revision: 533086
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 luigiwalser <luigiwalser> 0.3.3-4.mga4
+ Revision: 471380
- use autoreconf -fi to try to fix build error

* Thu May 30 2013 tv <tv> 0.3.3-3.mga4
+ Revision: 433124
- submit to core/release

* Fri May 24 2013 tv <tv> 0.3.3-2.mga4
+ Revision: 425655
- rebuild with xserver-1.14

* Thu May 23 2013 tv <tv> 0.3.3-1.mga4
+ Revision: 425562
- new release

* Sat Mar 30 2013 tmb <tmb> 0.3.2-1.mga4
+ Revision: 406678
- 0.3.2 (maintenance, bugfixes)

* Mon Jan 14 2013 umeabot <umeabot> 0.3.1-4.mga3
+ Revision: 386001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.3.1-3.mga3
+ Revision: 340793
- fix for automake 1.13

* Thu Sep 06 2012 tv <tv> 0.3.1-2.mga3.nonfree
+ Revision: 288936
- rebuild for new xserver

* Thu Sep 06 2012 tv <tv> 0.3.1-1.mga3
+ Revision: 288736
- new release

* Sat Jul 28 2012 fwang <fwang> 0.3.0-2.mga3
+ Revision: 275169
- br udev

* Fri Jul 27 2012 fwang <fwang> 0.3.0-1.mga3
+ Revision: 274917
- new version 0.3.0

* Wed Jun 06 2012 tmb <tmb> 0.2.906-3.mga3
+ Revision: 256449
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.2.906-2.mga3
+ Revision: 252968
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.2.906-1.mga3
+ Revision: 249798
- new release

* Fri Feb 10 2012 tv <tv> 0.2.905-1.mga2
+ Revision: 207042
- new release
- drop patch 0 (upstream)

* Fri Dec 23 2011 shlomif <shlomif> 0.2.904-9.mga2
+ Revision: 186710
- Correct rpmlint problems
- Updated with the Fedora package patches

* Tue Dec 06 2011 tmb <tmb> 0.2.904-8.mga2
+ Revision: 177464
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.2.904-7.mga2
+ Revision: 153304
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.2.904-6.mga2
+ Revision: 153089
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.2.904-5.mga1
+ Revision: 64406
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.2.904-4.mga1
+ Revision: 50254
- imported package x11-driver-video-openchrome

